Bug 1246399 - CVE-2015-5622 CVE-2015-5623 wordpress: cross-site scripting and permission issue fixed in [epel-all]
Summary: CVE-2015-5622 CVE-2015-5623 wordpress: cross-site scripting and permission is...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: wordpress
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5622, CVE-2015-5623
TreeView+ depends on / blocked
 
Reported: 2015-07-24 08:28 UTC by Martin Prpič
Modified: 2015-08-23 03:00 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-22 19:25:42 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-07-24 08:28:25 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-07-24 08:28:30 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1246396,1246399

# Description of your update
notes=Security fix for CVE-2015-5622, CVE-2015-5623

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1246396,1246399

Comment 2 Fedora Update System 2015-07-24 08:44:09 UTC
wordpress-4.2.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/wordpress-4.2.3-1.el5

Comment 3 Fedora Update System 2015-07-24 08:44:12 UTC
wordpress-4.2.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/wordpress-4.2.3-1.el7

Comment 4 Fedora Update System 2015-07-24 08:44:12 UTC
wordpress-4.2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wordpress-4.2.3-1.el6

Comment 5 Fedora Update System 2015-07-27 23:11:00 UTC
Package wordpress-4.2.3-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing wordpress-4.2.3-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7353/wordpress-4.2.3-1.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-08-22 19:25:39 UTC
wordpress-4.2.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-08-23 02:53:29 UTC
wordpress-4.2.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-08-23 03:00:27 UTC
wordpress-4.2.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.